#ifndef _KK_OLDCCU_MSG_H
#define _KK_OLDCCU_MSG_H
#include "kk_ccu_msg.h"



cJSON *old_ccu_msg_build_json(const char* nodeid,const char*  opcode,const char*  status,cJSON * arg);

cJSON *old_ccu_msg_build(const char* nodeid,const char* opcode,const char* status,const char* arg);
int send_msg_to_module(cJSON *root);

cJSON * val_conver_new2old(cJSON *newccuItem,cJSON *oldccuItem,int syn_type);



int kk_lan_property_post_deal(const char *deviceCode,cJSON *payload);
int kk_lan_property_syn_deal(const char *deviceCode,cJSON *properties);


int kk_lan_arming_status_notify(int type);
void kk_lan_add_scene_notify(const char* scene_id);
void kk_lan_delete_scene_notify(const char* scene_id);
int kk_lan_device_delete_notify(cJSON *payload);




cJSON *_kk_sync_devicestatus_arg_build(kk_map_dev_node_t *node);
int kk_send_indoorAir_status(cJSON *info,const char *deviceCode);




#endif



